%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define svn   r69188
%define rel   1
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary: Enlightenment Input Output Library
Name: eio
Version: 0.1.0
Release: %release
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
%if %svn
Source: %name-%svn.tar.xz
%else
Source: %name-%version.tar.bz2
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: eina-devel >= 1.0.0
BuildRequires: ecore-devel >= 1.0.0

%description
This library is intended to provide non blocking IO by using thread for all
operation that may block. It depends only on eina and ecore right now. It
should integrate all the features/functions of Ecore_File that could block.

This should become one day part of what we call the EFL and be a dependence
of E17. Feel free to contribute, help is always appreciated !

%package -n %libname
Summary: Enlightenment Input Output Library
Group: System/Libraries

%description -n %libname
Enlightenment Input Output Library.

%package -n %develname
Summary: Enlightenment Input Output Library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
eio development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Sun Mar 11 2012 trem <trem> 0.1.0-0.r69188.1.mga2
+ Revision: 222684
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.1.0-0.r69165.1.mga2
+ Revision: 222418
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.1.0-0.r68658.1.mga2
+ Revision: 217995
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.1.0-0.r68649.1.mga2
+ Revision: 217545
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.1.0-0.r68450.1.mga2
+ Revision: 215211
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.1.0-0.r68434.1.mga2
+ Revision: 214424
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.1.0-0.r68363.1.mga2
+ Revision: 213969
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.1.0-0.r68228.1.mga2
+ Revision: 212076
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.1.0-0.r68120.1.mga2
+ Revision: 210792
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.1.0-0.r68102.1.mga2
+ Revision: 210240
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.1.0-0.r67851.1.mga2
+ Revision: 207543
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.1.0-0.r67846.1.mga2
+ Revision: 207256
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.1.0-0.r67830.1.mga2
+ Revision: 206965
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.1.0-0.r67715.1.mga2
+ Revision: 206000
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680
- update to release 65867
- update to release 65688
- update to release 65613
- update to release 65428

* Sat Nov 05 2011 trem <trem> 0.1.0-0.r64766.1.mga2
+ Revision: 163810
- imported package eio

